Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 103681 - media-video/xine-ui-0.99.4-r2 patches caused font problems in xitk UI
Summary: media-video/xine-ui-0.99.4-r2 patches caused font problems in xitk UI
Status: RESOLVED CANTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-08-25 03:02 UTC by PL Hayes
Modified: 2006-06-24 04:52 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description PL Hayes 2005-08-25 03:02:55 UTC
Previously, the text didn't fit in the xine config UI textboxes properly, so I
know the patches were well meant - but now the text is far too small and the
tops of the characters in tooltips are cut off. 

BTW: I've tried specifying different fonts in an xitkrc but nothing changes.
Maybe I didn't get the format right but it seems from a cursory look at the code
that the fonts may be hard coded anyway (certainly the tooltip font is).
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-09-02 16:06:15 UTC
I'll have a look, the patch were contributions took from freshports and seemed 
to avoid a couple of problems.. 
 
Fonts are indeed hardcoded, patches to fix that are welcome, but since now my 
priorities were on stability :) 
Comment 2 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-12-17 17:57:40 UTC
I'm waiting for next upstream release, I'd rather leave it as it's now until a better fix can be figured out.
Comment 3 PL Hayes 2006-06-24 04:52:56 UTC
(In reply to comment #2)
> I'm waiting for next upstream release, I'd rather leave it as it's now until a
> better fix can be figured out.

That would be fine if it did actually fix something but I cannot find any evidence that it does and in that case, it's unlikely anyone's ever going to be trying to figure out a better fix. It certainly doesn't fix anything for me - on the contrary, it screws the interface up worse than it ever was (and that's saying something ;-).

You mention a crash in your post to xine-devel* and also that you applied several patches from Alex Stewart / freshrpms. But surely it's not very likely to have been this 070_all_freshrpms-xftfontsize.patch that fixed the crash (if it was in fact fixed by any of those patches)? I think it should be removed unless there is some solid evidence that it does more good than harm.

* http://itdp.de/~itdp/html/Xine-devel/2005-08/msg00027.html